Package com.macrofocus.application

# Class ApplicationModelFactory

java.lang.Object
com.macrofocus.application.ApplicationModelFactory

public class ApplicationModelFactory extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ApplicationModel`
  `CARTOPLOT`
  `static final ApplicationModel`
  `CARTOPLOT_API`
  `static final String`
  `CARTOPLOT_RELEASE_DATE`
  `static final ApplicationModel`
  `CARTOPLOT_SERVER`
  `static final ApplicationModel`
  `CARTOPLOT_V1`
  `static final ApplicationModel`
  `CARTORAMA_V0`
  `static final ApplicationModel`
  `ELASTOMATIC_V0`
  `static final ApplicationModel`
  `FITZ_CHARGES_V1`
  `static final String`
  `FITZ_CHARGES_VERSION`
  `static final ApplicationModel`
  `FITZ_PERFFEE_V1`
  `static final String`
  `FITZ_PERFFEE_VERSION`
  `static final ApplicationModel`
  `FITZ_REPORT_TEST`
  `static final ApplicationModel`
  `FITZ_REPORT_V1`
  `static final String`
  `FITZ_REPORT_VERSION`
  `static final ApplicationModel`
  `HIGHD`
  `static final ApplicationModel`
  `HIGHD_2019_1_6`
  `static final ApplicationModel`
  `HIGHD_2019_2_3`
  `static final ApplicationModel`
  `HIGHD_API`
  `static final ApplicationModel`
  `HIGHD_API_V1`
  `static final ApplicationModel`
  `HIGHD_APP`
  `static final ApplicationModel`
  `HIGHD_BETA`
  `static final String`
  `HIGHD_BETA_VERSION`
  `static final String`
  `HIGHD_RELEASE_DATE`
  `static final ApplicationModel`
  `HIGHD_SERVER`
  `static final ApplicationModel`
  `HIGHD_V1`
  `static final ApplicationModel`
  `INFOSCOPE_APPLET_V3`
  `static final ApplicationModel`
  `INFOSCOPE_PRO_V3`
  `static final ApplicationModel`
  `INFOSCOPE_V3`
  `static final String`
  `INFOSCOPE_VERSION`
  `static final ApplicationModel`
  `MASTERPLAN_V1`
  `static final ApplicationModel`
  `MASTERPLAN_V2`
  `static final ApplicationModel`
  `MOLAP_V1`
  `static final ApplicationModel`
  `MULTICHANNEL_V1`
  `static final String`
  `MULTICHANNEL_VERSION`
  `static final ApplicationModel`
  `RETAIL_QUILT_DISTILLER`
  `static final String`
  `RETAIL_QUILT_DISTILLER_VERSION`
  `static final ApplicationModel`
  `STUDYBROWSER_V1`
  `static final ApplicationModel`
  `SURVEYVISUALIZER`
  `static final String`
  `SURVEYVISUALIZER_RELEASE_DATE`
  `static final ApplicationModel`
  `SURVEYVISUALIZER_SERVER`
  `static final ApplicationModel`
  `SWISSRE_V1`
  `static final ApplicationModel`
  `TABLEBROWSER`
  `static final String`
  `TABLEBROWSER_RELEASE_DATE`
  `static final ApplicationModel`
  `TABLEBROWSER_SERVER`
  `static final ApplicationModel`
  `TREEMAP`
  `static final ApplicationModel`
  `TREEMAP_API`
  `static final ApplicationModel`
  `TREEMAP_API_BETA`
  `static final String`
  `TREEMAP_API_BETA_VERSION`
  `static final ApplicationModel`
  `TREEMAP_API_V1`
  `static final ApplicationModel`
  `TREEMAP_API_V2`
  `static final ApplicationModel`
  `TREEMAP_API_V3`
  `static final ApplicationModel`
  `TREEMAP_APP`
  `static final ApplicationModel`
  `TREEMAP_BETA`
  `static final String`
  `TREEMAP_BETA_VERSION`
  `static final String`
  `TREEMAP_RELEASE_DATE`
  `static final ApplicationModel`
  `TREEMAP_SERVER`
  `static final ApplicationModel`
  `TREEMAP_SERVER_V3`
  `static final ApplicationModel`
  `TREEMAP_V1`
  `static final String`
  `TREEMAP_V1_VERSION`
  `static final ApplicationModel`
  `TREEMAP_V2`
  `static final ApplicationModel`
  `TREEMAP_V2018`
  `static final ApplicationModel`
  `TREEMAP_V2019`
  `static final ApplicationModel`
  `TREEMAP_V3`
  `static final String`
  `TREEMAP_VERSION`
  `static final ApplicationModel`
  `TRENDDISPLAY`
  `static final ApplicationModel`
  `TRENDDISPLAY_API`
  `static final String`
  `TRENDDISPLAY_RELEASE_DATE`
  `static final ApplicationModel`
  `TRENDDISPLAY_SERVER`
  `static final ApplicationModel`
  `TRENDDISPLAY_V3`
  `static final ApplicationModel`
  `VCS_IAUL_V1`
  `static final String`
  `VCS_IAUL_VERSION`
  `static final ApplicationModel`
  `VISFLUX`
  `static final String`
  `VISFLUX_RELEASE_DATE`
  `static final ApplicationModel`
  `VISFLUX_SERVER`
  `static final ApplicationModel`
  `VISUALPIVOT_V1`
  `static final ApplicationModel`
  `WAREHOUSEVIEWER_V1`
  `static final ApplicationModel`
  `WAREHOUSEVIEWER_V2`
  `static final String`
  `WAREHOUSEVIEWER_VERSION`
  `static final String`
  `WAREHOUSEVIEWER_VERSION_V2`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ApplicationModelFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCartoplotReleaseDate()`
  `String`
  `getHighdReleaseDate()`
  `static ApplicationModelFactory`
  `getInstance()`
  `String`
  `getSurveyvisualizerReleaseDate()`
  `String`
  `getTablebrowserReleaseDate()`
  `String`
  `getTreemapReleaseDate()`
  `String`
  `getTrenddisplayReleaseDate()`
  `String`
  `getVisfluxReleaseDate()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TREEMAP_BETA_VERSION

    public static final String TREEMAP_BETA_VERSION
    See Also:
      - Constant Field Values

  - ### TREEMAP_API_BETA_VERSION

    public static final String TREEMAP_API_BETA_VERSION
    See Also:
      - Constant Field Values

  - ### HIGHD_BETA_VERSION

    public static final String HIGHD_BETA_VERSION
    See Also:
      - Constant Field Values

  - ### TREEMAP_VERSION

    public static final String TREEMAP_VERSION
    See Also:
      - Constant Field Values

  - ### TREEMAP_RELEASE_DATE

    public static final String TREEMAP_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### HIGHD_RELEASE_DATE

    public static final String HIGHD_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### SURVEYVISUALIZER_RELEASE_DATE

    public static final String SURVEYVISUALIZER_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### CARTOPLOT_RELEASE_DATE

    public static final String CARTOPLOT_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### TABLEBROWSER_RELEASE_DATE

    public static final String TABLEBROWSER_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### TRENDDISPLAY_RELEASE_DATE

    public static final String TRENDDISPLAY_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### VISFLUX_RELEASE_DATE

    public static final String VISFLUX_RELEASE_DATE
    See Also:
      - Constant Field Values

  - ### CARTORAMA_V0

    public static final ApplicationModel CARTORAMA_V0

  - ### ELASTOMATIC_V0

    public static final ApplicationModel ELASTOMATIC_V0

  - ### VISUALPIVOT_V1

    public static final ApplicationModel VISUALPIVOT_V1

  - ### VISFLUX

    public static final ApplicationModel VISFLUX

  - ### VISFLUX_SERVER

    public static final ApplicationModel VISFLUX_SERVER

  - ### CARTOPLOT_V1

    public static final ApplicationModel CARTOPLOT_V1

  - ### CARTOPLOT

    public static final ApplicationModel CARTOPLOT

  - ### CARTOPLOT_SERVER

    public static final ApplicationModel CARTOPLOT_SERVER

  - ### CARTOPLOT_API

    public static final ApplicationModel CARTOPLOT_API

  - ### TRENDDISPLAY_V3

    public static final ApplicationModel TRENDDISPLAY_V3

  - ### TRENDDISPLAY

    public static final ApplicationModel TRENDDISPLAY

  - ### TRENDDISPLAY_SERVER

    public static final ApplicationModel TRENDDISPLAY_SERVER

  - ### TRENDDISPLAY_API

    public static final ApplicationModel TRENDDISPLAY_API

  - ### TABLEBROWSER

    public static final ApplicationModel TABLEBROWSER

  - ### TABLEBROWSER_SERVER

    public static final ApplicationModel TABLEBROWSER_SERVER

  - ### HIGHD_V1

    public static final ApplicationModel HIGHD_V1

  - ### HIGHD_API_V1

    public static final ApplicationModel HIGHD_API_V1

  - ### HIGHD_2019_1_6

    public static final ApplicationModel HIGHD_2019_1_6

  - ### HIGHD_2019_2_3

    public static final ApplicationModel HIGHD_2019_2_3

  - ### HIGHD

    public static final ApplicationModel HIGHD

  - ### HIGHD_BETA

    public static final ApplicationModel HIGHD_BETA

  - ### HIGHD_SERVER

    public static final ApplicationModel HIGHD_SERVER

  - ### HIGHD_API

    public static final ApplicationModel HIGHD_API

  - ### HIGHD_APP

    public static final ApplicationModel HIGHD_APP

  - ### MOLAP_V1

    public static final ApplicationModel MOLAP_V1

  - ### INFOSCOPE_VERSION

    public static final String INFOSCOPE_VERSION
    See Also:
      - Constant Field Values

  - ### INFOSCOPE_V3

    public static final ApplicationModel INFOSCOPE_V3

  - ### INFOSCOPE_APPLET_V3

    public static final ApplicationModel INFOSCOPE_APPLET_V3

  - ### INFOSCOPE_PRO_V3

    public static final ApplicationModel INFOSCOPE_PRO_V3

  - ### TREEMAP_V1_VERSION

    public static final String TREEMAP_V1_VERSION
    See Also:
      - Constant Field Values

  - ### TREEMAP_API_V1

    public static final ApplicationModel TREEMAP_API_V1

  - ### TREEMAP_V1

    public static final ApplicationModel TREEMAP_V1

  - ### TREEMAP_V2

    public static final ApplicationModel TREEMAP_V2

  - ### TREEMAP_API_V2

    public static final ApplicationModel TREEMAP_API_V2

  - ### TREEMAP_V3

    public static final ApplicationModel TREEMAP_V3

  - ### TREEMAP_API_V3

    public static final ApplicationModel TREEMAP_API_V3

  - ### TREEMAP_SERVER_V3

    public static final ApplicationModel TREEMAP_SERVER_V3

  - ### TREEMAP_V2018

    public static final ApplicationModel TREEMAP_V2018

  - ### TREEMAP_V2019

    public static final ApplicationModel TREEMAP_V2019

  - ### TREEMAP

    public static final ApplicationModel TREEMAP

  - ### TREEMAP_BETA

    public static final ApplicationModel TREEMAP_BETA

  - ### TREEMAP_API

    public static final ApplicationModel TREEMAP_API

  - ### TREEMAP_API_BETA

    public static final ApplicationModel TREEMAP_API_BETA

  - ### TREEMAP_SERVER

    public static final ApplicationModel TREEMAP_SERVER

  - ### TREEMAP_APP

    public static final ApplicationModel TREEMAP_APP

  - ### MASTERPLAN_V1

    public static final ApplicationModel MASTERPLAN_V1

  - ### MASTERPLAN_V2

    public static final ApplicationModel MASTERPLAN_V2

  - ### STUDYBROWSER_V1

    public static final ApplicationModel STUDYBROWSER_V1

  - ### SURVEYVISUALIZER

    public static final ApplicationModel SURVEYVISUALIZER

  - ### SURVEYVISUALIZER_SERVER

    public static final ApplicationModel SURVEYVISUALIZER_SERVER

  - ### WAREHOUSEVIEWER_VERSION

    public static final String WAREHOUSEVIEWER_VERSION
    See Also:
      - Constant Field Values

  - ### SWISSRE_V1

    public static final ApplicationModel SWISSRE_V1

  - ### WAREHOUSEVIEWER_V1

    public static final ApplicationModel WAREHOUSEVIEWER_V1

  - ### WAREHOUSEVIEWER_VERSION_V2

    public static final String WAREHOUSEVIEWER_VERSION_V2
    See Also:
      - Constant Field Values

  - ### WAREHOUSEVIEWER_V2

    public static final ApplicationModel WAREHOUSEVIEWER_V2

  - ### VCS_IAUL_VERSION

    public static final String VCS_IAUL_VERSION
    See Also:
      - Constant Field Values

  - ### VCS_IAUL_V1

    public static final ApplicationModel VCS_IAUL_V1

  - ### FITZ_REPORT_TEST

    public static final ApplicationModel FITZ_REPORT_TEST

  - ### FITZ_REPORT_VERSION

    public static final String FITZ_REPORT_VERSION
    See Also:
      - Constant Field Values

  - ### FITZ_REPORT_V1

    public static final ApplicationModel FITZ_REPORT_V1

  - ### FITZ_PERFFEE_VERSION

    public static final String FITZ_PERFFEE_VERSION
    See Also:
      - Constant Field Values

  - ### FITZ_PERFFEE_V1

    public static final ApplicationModel FITZ_PERFFEE_V1

  - ### FITZ_CHARGES_VERSION

    public static final String FITZ_CHARGES_VERSION
    See Also:
      - Constant Field Values

  - ### FITZ_CHARGES_V1

    public static final ApplicationModel FITZ_CHARGES_V1

  - ### MULTICHANNEL_VERSION

    public static final String MULTICHANNEL_VERSION
    See Also:
      - Constant Field Values

  - ### MULTICHANNEL_V1

    public static final ApplicationModel MULTICHANNEL_V1

  - ### RETAIL_QUILT_DISTILLER_VERSION

    public static final String RETAIL_QUILT_DISTILLER_VERSION
    See Also:
      - Constant Field Values

  - ### RETAIL_QUILT_DISTILLER

    public static final ApplicationModel RETAIL_QUILT_DISTILLER

- ## Constructor Details

  - ### ApplicationModelFactory

    protected ApplicationModelFactory()

- ## Method Details

  - ### getInstance

    public static ApplicationModelFactory getInstance()

  - ### getCartoplotReleaseDate

    public String getCartoplotReleaseDate()

  - ### getHighdReleaseDate

    public String getHighdReleaseDate()

  - ### getSurveyvisualizerReleaseDate

    public String getSurveyvisualizerReleaseDate()

  - ### getTablebrowserReleaseDate

    public String getTablebrowserReleaseDate()

  - ### getTreemapReleaseDate

    public String getTreemapReleaseDate()

  - ### getTrenddisplayReleaseDate

    public String getTrenddisplayReleaseDate()

  - ### getVisfluxReleaseDate

    public String getVisfluxReleaseDate()